@charset "utf-8";

.c-icon-button {
  width: 100%;
  height: 100%;
  padding: 15px 15px 40px 15px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 15px;
  background: #fff;
  box-shadow: 3px 3px 3px 0 rgba(0, 0, 0, 0.1);
  position: relative;
  font-weight: 700;
}

.c-icon-button::before {
  content: '特集を見る';
  width: 100%;
  height: 25px;
  padding: 0 17px 0 15px;
  background: #f6f6f6;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  position: absolute;
  right: 0;
  bottom: 0;
  transform: rotate(0deg);
  border: none;
  font-size: 12px;
  line-height: 1;
}

.c-icon-button::after {
  content: '';
  width: 6px;
  height: 6px;
  display: block;
  z-index: 1;
  position: absolute;
  right: 7px;
  bottom: 9px;
  -webkit-transform: scale(1, 0.95) rotate(45deg);
  transform: scale(1, 0.95) rotate(45deg);
  border-top: 1px solid;
  border-right: 1px solid;
  content: "";
}

.c-icon-button__icon {
  width: 33px;
  height: 33px;
  flex-shrink: 0;
  fill: #004da1;
}

.c-icon-button__label {
  display: flex;
  flex-direction: column;
  gap: 6px;
  text-align: left;
}

@media (max-width:767px) {
  .c-icon-button {
    flex-direction: column;
  }
}